In Files

  • rubygems/errors.rb

Methods

Class/Module Index [+]

Quicksearch

Gem::MissingSpecVersionError

Raised when trying to activate a gem, and the gem exists on the system, but not the requested version. Instead of rescuing from this class, make sure to rescue from the superclass Gem::LoadError to catch all types of load errors.

Attributes

specs[R]

Public Class Methods

new(name, requirement, specs) click to toggle source
 
               # File rubygems/errors.rb, line 52
def initialize name, requirement, specs
  super(name, requirement)
  @specs = specs
end